"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.remIconSize = exports.iconSize = exports.remSize = exports.size = void 0;
const theme_1 = require("../theme");
const utils_1 = require("../utils");
/*
   The size scale is based entirely on the medium, small and
   xsmall buttons. The medium size meets WCAG 2.1 AAA compliance
   for touch targets.
*/
const size = {
    xsmall: theme_1.size[0],
    small: theme_1.size[1],
    medium: theme_1.size[2],
};
exports.size = size;
const remSize = {
    xsmall: utils_1.pxToRem(theme_1.size[0]),
    small: utils_1.pxToRem(theme_1.size[1]),
    medium: utils_1.pxToRem(theme_1.size[2]),
};
exports.remSize = remSize;
/*
   We attempt to use these values for icons within Source components.
   They are analogous with component heights defined by the size values
   above. They are based on the size of icons used within the button
   component.
*/
const iconSize = {
    xsmall: 20,
    small: 26,
    medium: 30,
};
exports.iconSize = iconSize;
const remIconSize = {
    xsmall: utils_1.pxToRem(20),
    small: utils_1.pxToRem(26),
    medium: utils_1.pxToRem(30),
};
exports.remIconSize = remIconSize;
//# sourceMappingURL=global.js.map