"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = require("./index");
it('should return styles containing the specified font family', () => {
    const mediumHeadlineStyles = index_1.headline.medium();
    expect(mediumHeadlineStyles.fontFamily).toBe(index_1.fonts.headline);
});
it('should return styles containing the specified font size', () => {
    const mediumHeadlineStyles = index_1.headline.medium();
    expect(mediumHeadlineStyles.fontSize).toBe(`${index_1.remHeadlineSizes.medium}rem`);
});
it('should return styles containing the specified font size in px if requested', () => {
    const mediumHeadlineStyles = index_1.headline.medium({ unit: 'px' });
    expect(mediumHeadlineStyles.fontSize).toBe(index_1.headlineSizes.medium);
});
it('should return styles containing the specified font weight', () => {
    const mediumHeadlineStyles = index_1.headline.medium({ fontWeight: 'bold' });
    expect(mediumHeadlineStyles.fontWeight).toBe(index_1.fontWeights.bold);
});
it('should return styles containing the specified line height', () => {
    const mediumHeadlineStyles = index_1.headline.medium({ lineHeight: 'tight' });
    expect(mediumHeadlineStyles.lineHeight).toBe(index_1.lineHeights.tight);
});
it('should return styles containing the specified line height in px if requested', () => {
    const mediumHeadlineStyles = index_1.headline.medium({
        lineHeight: 'tight',
        unit: 'px',
    });
    expect(mediumHeadlineStyles.lineHeight).toBe(`${index_1.lineHeights.tight * index_1.headlineSizes.medium}px`);
});
it('should return italic styles if specified', () => {
    const mediumHeadlineStyles = index_1.headline.medium({ fontStyle: 'italic' });
    expect(mediumHeadlineStyles.fontStyle).toBe('italic');
});
it('should not include italic font style if it is not available for requested font', () => {
    const mediumHeadlineStyles = index_1.headline.medium({
        fontWeight: 'bold',
        fontStyle: 'italic',
    });
    expect(mediumHeadlineStyles.fontStyle).toBeUndefined();
});
//# sourceMappingURL=typography.obj.test.js.map